### Method

# GimpUi Ruler set_range

since: 2.8

#### Declaration [src]

    void
    gimp_ruler_set_range (
      GimpRuler* ruler,
      gdouble lower,
      gdouble upper,
      gdouble max_size
    )

#### Description [src]

This sets the range of the ruler.

Available since: 2.8

#### Parameters

`lower`

  Type: `gdouble`

  The lower limit of the ruler.

`upper`

  Type: `gdouble`

  The upper limit of the ruler.

`max_size`

  Type: `gdouble`

  The maximum size of the ruler used when calculating the space to leave for the text.